For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet login history
      • GETGet license
      • POSTUpdate license
      • GETValidate license
      • GETGet instance statistics
      • GETGet instance statistics (CSV)

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIInstance admin

Update license

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/license
POST
/api/admin/license
$curl -X POST https://app.unleash-instance.example.com/api/admin/license \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjdXN0b21lciI6IkFjTWUgQ29ycCIsInBsYW4iOiJFbnRlcnByaXNlIiwiaXNzIjoiUnVubmluZyBsaWNlbnNlIiwiaWF0IjoiMjAyNC0wNi0xNVQxMjozMDowMFoiLCJleHAiOiIyMDI1LTA2LTE1VDEyOjMwOjA"
>}'
1{
2 "isValid": true,
3 "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJjdXN0b21lciI6IkFjTWUgQ29ycCIsInBsYW4iOiJFbnRlcnByaXNlIiwiaXNzIjoiUnVubmluZyBsaWNlbnNlIiwiaWF0IjoiMjAyNC0wNi0xNVQxMjozMDowMFoiLCJleHAiOiIyMDI1LTA2LTE1VDEyOjMwOjA",
4 "customer": "Acme Corporation",
5 "type": "Enterprise",
6 "instanceName": "Acme Unleash Instance",
7 "instanceId": "acme-unleash-001",
8 "plan": "Enterprise Plus",
9 "resources": {
10 "seats": 150,
11 "releaseTemplates": 20,
12 "edgeInstances": 5,
13 "readOnlyUsers": 50
14 },
15 "expireAt": "2025-06-15T12:30:00Z",
16 "issuedAt": "2024-06-15T12:30:00Z"
17}

Enterprise feature

Set a new Unleash license. Only available for self-hosted Enterprise customers.

Was this page helpful?
Previous

Validate license

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

licenseUpdateSchema
tokenstringRequired
The actual license token.

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
isValidboolean
Whether the license is valid or not.
tokenstring
The actual license token.
customerstring
Name of the customer that owns the license. This is the name of the company that purchased the license.
typestring
Type of license.
instanceNamestring
Name of the Unleash instance where this license is valid.
instanceIdstring
Identifier of the Unleash instance where this license is valid.
planstring
Name of plan that the license is for.
resourcesobject
The resources available in the license.
expireAtstringformat: "date-time"
Date when the license expires.
issuedAtstringformat: "date-time"
Date when the license was issued.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error